package game;

import java.awt.image.BufferedImage;
import java.io.IOException;
import javax.imageio.ImageIO;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class NandGame {
	
	public static Sprite sheet = loadImage("/sheet.png");
	
	public static void main(String[] a) {
		Board board = new Board(16, 16);
		JFrame frame = new JFrame("Nand Game");
		JPanel panel = new JPanel();
		frame.add(panel);
		panel.add(board);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setLocationRelativeTo(null);
		frame.pack();
		frame.setVisible(true);
		
		board.start();
	}
	
	public static Sprite loadImage(String filename) {
		Sprite results = null;
		try {
			BufferedImage img = ImageIO.read(NandGame.class.getResource(filename));
			results = new Sprite();
			results.w = img.getWidth();
			results.h = img.getHeight();
			//results.pixels = ((DataBufferInt) img.getRaster().getDataBuffer()).getData();
			results.image = img;
		}
		catch (IOException e) {
			e.printStackTrace();
		}
		return results;
	}
}
